/* Document.h Subclass of NSDocument for GScheme application

   Copyright (C) 2000 Free Software Foundation, Inc.

   Author:  Fred Kiefer <fredkiefer@gmx.de>
   Date: 2000.

   Adapted by: Marko Riedel <mriedel@neuearbeit.de>.
   Date: 2002.
   
   This file is part of GNUstep.
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#import <Foundation/NSData.h>
#import <Foundation/NSAttributedString.h>
#import <AppKit/NSDocument.h>

#import "SCMTextView.h"

@interface Document : NSDocument
{
    NSScrollView *sview;
    SCMTextView *tview;

    NSString *progstr;
    BOOL readOnly;
}

- init;

- (void)textDidChange:(NSNotification *)textObject;
- (void)makeWindowControllers;

- evaluate:(id)sender;

- (NSData *)dataRepresentationOfType:(NSString *)aType;
- (BOOL)loadDataRepresentation:(NSData *)data ofType:(NSString *)aType;

- (BOOL)readFromFile:(NSString *)fileName ofType:(NSString *)docType;
- (BOOL)writeToFile:(NSString *)fullDocumentPath ofType:(NSString *)docType 
       originalFile:(NSString *)fullOriginalDocumentPath 
      saveOperation:(NSSaveOperationType)saveOperationType;

@end
