
#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#import <AppKit/NSDocumentController.h>

#import "Document.h"
#import "VScheme.h"
#import "SCMTextView.h"

@interface SchemeDelegate : NSObject
{
    SCMInteractive *intTextView;
    NSTextView *statTextView;

    NSMutableArray *imageWindows;
    NSMutableArray *envWindows;

    NSPanel *interruptPanel;
}

- (void)applicationWillFinishLaunching:(NSNotification *)not;
- (void)applicationDidFinishLaunching:(NSNotification *)not;


- makeInterpreterWindow;
- makeStatisticsPanel;

- makeInterruptPanel;
- (NSPanel *)interruptPanel;

- input:(NSString *)data;
- output:(NSString *)data;
- result:(id)item;
- statistics:(NSString *)stats;

- imageWindow:(NSWindow *)window;
- envWindow:(NSWindow *)window;

- closeImageWindows:(id)sender;
- closeEnvWindows:(id)sender;


- reset:(id)sender;
- addExternal:(id)sender;
- evaluateExternal:(id)sender;

@end
