/* main.m: Main Body of GNUstep GScheme demo application

   Copyright (C) 2000 Free Software Foundation, Inc.

   Author:  Fred Kiefer <fredkiefer@gmx.de>
   Date: 2000.

   Adapted by: Marko Riedel <mriedel@neuearbeit.de>.
   Date: 2002.

   This file is part of GNUstep.
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#import <locale.h>
#import <stdio.h>
#import <stdlib.h>

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#import <AppKit/NSDocumentController.h>

#import "Document.h"
#import "VScheme.h"
#import "SCMTextView.h"
#import "SchemeDelegate.h"


BOOL yyschemeerrflag;
yyerror(char *s)  /* Called by yyparse on error */
{
    yyschemeerrflag = YES;
    return 1;
}

int
main(int argc, const char **argv, char** env)
{
    NSAutoreleasePool *pool = [NSAutoreleasePool new];
    NSApplication *theApp;

    GSDebugAllocationActive(YES);

    theApp = [NSApplication sharedApplication];
    [theApp setDelegate:[SchemeDelegate new]];

    setlocale(LC_NUMERIC, "C");
    printf("locale %s\n", setlocale(LC_NUMERIC, NULL));

    NSApplicationMain(argc, argv);
    [pool release];

    return 0;
}








